< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package wco
  Definition Classes
    hmrc
-  package dec
  Definition Classes
    wco
-  package status
  Definition Classes
    dec
- AdditionalDocument
- AdditionalInformation
- Address
- Agent
- Amendment
- Amount
- AmountDeserializer
- Authentication
- Authenticator
- AuthorisationHolder
- BorderTransportMeans
- ChargeDeduction
- Classification
- Commodity
- Communication
- Consignment
- Contact
- CurrencyExchange
- CustomSeqModule
- CustomsValuation
- DangerousGoods
- DateTimeElement
- DateTimeString
- DateTimeStringDeserializer
- Declaration
- Destination
- DutyTaxFee
- EntryStatus
- ExportCountry
- Freight
- GoodsItem
- GoodsLocation
- GoodsLocationAddress
- GoodsMeasure
- GoodsShipment
- GovernmentAgencyGoodsItem
- GovernmentAgencyGoodsItemAdditionalDocument
- GovernmentAgencyGoodsItemAdditionalDocumentSubmitter
- GovernmentProcedure
- ImportExportParty
- InventoryLinkingMovementResponse
- Invoice
- InvoiceLine
- Itinerary
- JacksonMapper
- LoadingLocation
- Measure
- MeasureDeserializer
- MetaData
- NamedEntityWithAddress
- ObligationGuarantee
- Office
- Origin
- Packaging
- Payment
- Pointer
- PreviousDocument
- Response
- ResponseAdditionalInformation
- ResponseAmendment
- ResponseAppealOffice
- ResponseBank
- ResponseCommodity
- ResponseCommodityDutyTaxFee
- ResponseCommunication
- ResponseContactOffice
- ResponseDateTimeElement
- ResponseDeclaration
- ResponseDutyTaxFee
- ResponseDutyTaxFeePayment
- ResponseError
- ResponseGoodsShipment
- ResponseGovernmentAgencyGoodsItem
- ResponseObligationGuarantee
- ResponsePayment
- ResponsePointer
- ResponseStatus
- RoleBasedParty
- Seal
- SeqDeserializationModifier
- StdAttributeAndTextDeserializer
- TradeTerms
- TransportEquipment
- TransportMeans
- TypeCodeValue
- TypeCodeValues
- Ucr
- UcrBlock
- ValuationAdjustment
- Warehouse
- WriteOff

o

uk.gov.hmrc.wco.dec

# CustomSeqModule 

###

#### object CustomSeqModule extends SimpleModule

Linear Supertypes
SimpleModule, Serializable, Module, Versioned, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CustomSeqModule
2. SimpleModule
3. Serializable
4. Module
5. Versioned
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def _checkNotNull(arg0: Any, arg1: String): Unit
   Attributes
     protected[com.fasterxml.jackson.databind.module]
   Definition Classes
     SimpleModule
5.  def addAbstractTypeMapping[T](arg0: Class[T], arg1: Class[_ <: T]): SimpleModule
   Definition Classes
     SimpleModule
6.  def addDeserializer[T](arg0: Class[T], arg1: JsonDeserializer[_ <: T]): SimpleModule
   Definition Classes
     SimpleModule
7.  def addKeyDeserializer(arg0: Class[_], arg1: KeyDeserializer): SimpleModule
   Definition Classes
     SimpleModule
8.  def addKeySerializer[T](arg0: Class[_ <: T], arg1: JsonSerializer[T]): SimpleModule
   Definition Classes
     SimpleModule
9.  def addSerializer[T](arg0: Class[_ <: T], arg1: JsonSerializer[T]): SimpleModule
   Definition Classes
     SimpleModule
10.  def addSerializer(arg0: JsonSerializer[_]): SimpleModule
    Definition Classes
      SimpleModule
11.  def addValueInstantiator(arg0: Class[_], arg1: ValueInstantiator): SimpleModule
    Definition Classes
      SimpleModule
12.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
13.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def getModuleName(): String
    Definition Classes
      SimpleModule → Module
19.  def getTypeId(): AnyRef
    Definition Classes
      SimpleModule → Module
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def registerSubtypes(arg0: Collection[Class[_]]): SimpleModule
    Definition Classes
      SimpleModule
26.  def registerSubtypes(arg0: <repeated...>[NamedType]): SimpleModule
    Definition Classes
      SimpleModule
    Annotations
      @transient()
27.  def registerSubtypes(arg0: <repeated...>[Class[_]]): SimpleModule
    Definition Classes
      SimpleModule
    Annotations
      @transient()
28.  def setAbstractTypes(arg0: SimpleAbstractTypeResolver): Unit
    Definition Classes
      SimpleModule
29.  def setDeserializerModifier(arg0: BeanDeserializerModifier): SimpleModule
    Definition Classes
      SimpleModule
30.  def setDeserializers(arg0: SimpleDeserializers): Unit
    Definition Classes
      SimpleModule
31.  def setKeyDeserializers(arg0: SimpleKeyDeserializers): Unit
    Definition Classes
      SimpleModule
32.  def setKeySerializers(arg0: SimpleSerializers): Unit
    Definition Classes
      SimpleModule
33.  def setMixInAnnotation(arg0: Class[_], arg1: Class[_]): SimpleModule
    Definition Classes
      SimpleModule
34.  def setNamingStrategy(arg0: PropertyNamingStrategy): SimpleModule
    Attributes
      protected[com.fasterxml.jackson.databind.module]
    Definition Classes
      SimpleModule
35.  def setSerializerModifier(arg0: BeanSerializerModifier): SimpleModule
    Definition Classes
      SimpleModule
36.  def setSerializers(arg0: SimpleSerializers): Unit
    Definition Classes
      SimpleModule
37.  def setValueInstantiators(arg0: SimpleValueInstantiators): Unit
    Definition Classes
      SimpleModule
38.  def setupModule(arg0: SetupContext): Unit
    Definition Classes
      SimpleModule → Module
39.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
40.  def toString(): String
    Definition Classes
      AnyRef → Any
41.  def version(): Version
    Definition Classes
      SimpleModule → Module → Versioned
42.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
43.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
44.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from SimpleModule

### Inherited from Serializable

### Inherited from Module

### Inherited from Versioned

### Inherited from AnyRef

### Inherited from Any

### Ungrouped